/*
 * MOC - music on console
 * Copyright (C) 2002 Damian Pietras <daper@daper.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */
 
#ifndef AUDIO_H
#define AUDIO_H

#include <pthread.h>
#include "playlist.h"

#define PCM_BUFF_SIZE	4096

/* File types*/
enum {
	F_OTHER,
	F_DIRECTORY,
	F_WAV,
#ifdef HAVE_VORBIS
	F_OGG,
#endif
#ifdef HAVE_MAD
	F_MP3
#endif
};

extern pthread_mutex_t paused_mut;
extern pthread_mutex_t req_mut;
extern pthread_cond_t paused_cond;
extern short paused;
extern short stop_req;

void init_audio ();
int open_audio (int bits, int channels, int rate);
void close_audio ();
void stop ();
void play_buff (char *buff, const int size);
void shutdown_audio ();
void seek_stream (int ms);
void pause_stream ();
void unpause_stream ();
void play_it (plist *item);
plist *get_played_item ();
void next ();
int read_mixer ();
void set_mixer (int vol);
short playing ();

#endif
