#ifndef MENU_H
#define MENU_H

#include <ncurses.h>

enum MenuRequest {
	REQ_UP,
	REQ_DOWN,
	REQ_PGUP,
	REQ_PGDOWN,
	REQ_TOP,
	REQ_BOTTOM
};

typedef struct {
	char *title;		/* The text of the item */
	int attr_normal;	/* Attributes in normal mode */
	int attr_sel;		/* Attributes in selected mode */
	void *usrptr;		/* User pointer */
} MenuItem;

typedef struct {
	WINDOW *win;
	MenuItem **items;
	int nitems;
	int top;
	int maxx;
	int maxy;
	int selected;
} Menu;

Menu *menu_new (WINDOW *win, MenuItem **items);
MenuItem *menu_newitem (char *title);
void menu_free (Menu *menu);
void menu_driver (Menu *menu, int req);
MenuItem *menu_curritem (Menu *menu);
void menu_setcurritem (Menu *menu, int num);
void menu_draw (Menu *menu);
int menu_find_item (Menu *menu, const char *title);
void set_menu_state (Menu *menu, int selected, int top);

#endif
