/*
 * MOC - music on console
 * Copyright (C) 2002 Damian Pietras <daper@daper.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 */

#ifndef OPTIONS_H
#define OPTIONS_H

#include "config.h"

#include <time.h>

struct options {
	short full_info;	/* Title from comments as menu items instead of
				   file names */
	char *music_dir;	/* Where the user stores music */
	short show_errors;	/* Show errors in streams */
	time_t remind;		/* Time to remaind of checking for new version */
	int priority;		/* Process priority*/
	short shuffle;
	short repeat;
};
extern struct options options;

extern pthread_mutex_t options_mut;

#define OPTIONS_LOCK() pthread_mutex_lock (&options_mut)
#define OPTIONS_UNLOCK() pthread_mutex_unlock (&options_mut)

void read_config ();
int need_remind ();

#endif
